@echo off
SETLOCAL ENABLEEXTENSIONS

::Determine OS

echo "Starting Stella Runtime. Please wait..."

for /F "usebackq tokens=1-3 delims= " %%i in (`ver`) do (
	set OSVersion=%%i%%j%%k
	)

::Launch appropriate version of Stella

IF "%OSVersion%" EQU "MicrosoftWindowsXP" (
	start STELLA8rt\STELLA8rt.exe
	exit
	) else (
	start STELLA601L\STELLA6L.exe
	exit
	)